| FlatBuffers An open source project by FPL.

Public Member Functions | List of all members
com.google.flatbuffers.LongVector Class Reference

Helper type for accessing vector of long values. More...

Inheritance diagram for com.google.flatbuffers.LongVector:

## Detailed Description

Helper type for accessing vector of long values.

## Public Member Functions
LongVector | __assign (int _vector, ByteBuffer _bb)
| Assigns vector access object to vector data. More...
long | get (int j)
| Reads the long value at the given index. More...

## Member Function Documentation

## ◆ __assign()

LongVector com.google.flatbuffers.LongVector.__assign | ( | int | _vector,
|  | ByteBuffer | _bb
| ) |  |
| inline

Assigns vector access object to vector data.

Parameters

  _vector | Start data of a vector.
  _bb | Table's ByteBuffer.

Returns
  Returns current vector access object assigned to vector data whose offset is stored at `vector`.

## ◆ get()

long com.google.flatbuffers.LongVector.get | ( | int | j | ) |
| inline

Reads the long value at the given index.

Parameters

  j | The index from which the long value will be read.

Returns
  the signed 64-bit value at the given index.

The documentation for this class was generated from the following file:

- LongVector.java